package gridbus.gmd.security;
/**
 * Title:        The Grid Market Directory (GMD) Toolkit
 * Developer:    The Gridbus Project
 *               The Grid Computing and Distributed Systems (GRIDS) Laboratory
 *               The University of Melbourne, Australia
 * URL:          http://www.gridbus.org
 * @version      Alpha Version,
 * Description:  The GMD Toolkit allows the creation of portal for management of
 *               Grid Market services. It also provide webservices based access
 *               to GMD from external applications.
 * @author       Jia Yu (program developer) and Rajkumar Buyya (project director)
 *
 * Licence:      GPL - http://www.gnu.org/copyleft/gpl.html
 */
public class Login extends JSPHandler{
	String userName;
	String password;
	
	/**
	 * Login()
	 */
	public Login(){
		requiresLoggedOut=true;
		requiresLoggedIn=false;
	}
	
	/**
	 * Method process.
	 */
	public void process(){
		getSessionWrapper().setUserName(userName);
	}
	
	/**
	 * Method setUserName.
	 * @param userName
	 */
	public void setUserName(String userName){
		this.userName=userName;
	}
	/**
	 * Method setPassword.
	 * @param password
	 */
	public void setPassword(String password){
		this.password=password;
	}
	/**
	 * Method setProviderName.
	 * @param pn
	 */
	public void setProviderName(String pn){
		getSessionWrapper().setProviderName(pn);
	}	
	/**
	 * Method getProviderName.
	 * @return String
	 */
	public String getProviderName(){
		return getSessionWrapper().getProviderName();
	}

}
