package gridbus.gmd.service;

/**
 * Title:        The Grid Market Directory (GMD) Toolkit
 * Developer:    The Gridbus Project
 *               The Grid Computing and Distributed Systems (GRIDS) Laboratory
 *               The University of Melbourne, Australia
 * URL:          http://www.gridbus.org
 * @version      Alpha Version,
 * Description:  The GMD Toolkit allows the creation of portal for management of
 *               Grid Market services. It also provide webservices based access
 *               to GMD from external applications.
 * @author       Jia Yu (program developer) and Rajkumar Buyya (project director)
 *
 * Licence:      GPL - http://www.gnu.org/copyleft/gpl.html
 */
public class ServiceDetail {
	    private String serviceName;
	    private String serviceType;
	    private String providerName;
	    private String hardwarePrice;
	    private String softwarePrice;
	    private String address;
	    private String description;
	    
	    public ServiceDetail(){
	    }

		/**
		 * Returns the address.
		 * @return String
		 */
		public String getAddress() {
			return address;
		}

		/**
		 * Returns the hardwarePrice.
		 * @return float
		 */
		public String getHardwarePrice() {
			return hardwarePrice;
		}

		/**
		 * Returns the providerName.
		 * @return String
		 */
		public String getProviderName() {
			return providerName;
		}

		/**
		 * Returns the serviceName.
		 * @return String
		 */
		public String getServiceName() {
			return serviceName;
		}

		/**
		 * Returns the serviceType.
		 * @return String
		 */
		public String getServiceType() {
			return serviceType;
		}

		/**
		 * Returns the softwarePrice.
		 * @return float
		 */
		public String getSoftwarePrice() {
			return softwarePrice;
		}

		/**
		 * Sets the address.
		 * @param address The address to set
		 */
		public void setAddress(String address) {
			this.address = address;
		}

		/**
		 * Sets the hardwarePrice.
		 * @param hardwarePrice The hardwarePrice to set
		 */
		public void setHardwarePrice(String hardwarePrice) {
			this.hardwarePrice = hardwarePrice;
		}

		/**
		 * Sets the providerName.
		 * @param providerName The providerName to set
		 */
		public void setProviderName(String providerName) {
			this.providerName = providerName;
		}

		/**
		 * Sets the serviceName.
		 * @param serviceName The serviceName to set
		 */
		public void setServiceName(String serviceName) {
			this.serviceName = serviceName;
		}

		/**
		 * Sets the serviceType.
		 * @param serviceType The serviceType to set
		 */
		public void setServiceType(String serviceType) {
			this.serviceType = serviceType;
		}

		/**
		 * Sets the softwarePrice.
		 * @param softwarePrice The softwarePrice to set
		 */
		public void setSoftwarePrice(String softwarePrice) {
			this.softwarePrice = softwarePrice;
		}

		/**
		 * Returns the description.
		 * @return String
		 */
		public String getDescription() {
			return description;
		}

		/**
		 * Sets the description.
		 * @param description The description to set
		 */
		public void setDescription(String description) {
			this.description = description;
		}
		
		public String toString(){
			return "Service Detail: Service name["+serviceName+"] Service Type["+
					serviceType+"] Provider Name["+providerName+"] Hardware Price["+
					hardwarePrice+"] Address["+address+"] Description["+description+"]";
		}
}
