/**
 * Title:        The Grid Market Directory (GMD) Toolkit
 * Developer:    The Gridbus Project
 *               The Grid Computing and Distributed Systems (GRIDS) Laboratory
 *               The University of Melbourne, Australia
 * URL:          http://www.gridbus.org
 * @version      Alpha Version,
 * Description:  The GMD Toolkit allows the creation of portal for management of
 *               Grid Market services. It also provide webservices based access
 *               to GMD from external applications.
 * @author       Jia Yu (program developer) and Rajkumar Buyya (project director)
 *
 * Licence:      GPL - http://www.gnu.org/copyleft/gpl.html
 */
package gridbus.gmd.service;

import java.util.Vector;

public class TableSet {
	private Vector columnHeads;
	private Vector rows;
	
	/**
	 * Method TableSet.
	 * @param column:Vector
	 * @param row:Vector
	 */
	public TableSet(Vector c,Vector r){
		this.columnHeads=c;
		this.rows=r;
	}
	
	/**
	 * Method getColumnHeads.
	 * @return Vector
	 */
	public Vector getColumnHeads(){
		return columnHeads;
	}
	
	/**
	 * Method getRows.
	 * @return Vector
	 */
	public Vector getRows(){
		return rows;
	}

}
