/**
 * Title:        The Grid Market Directory (GMD) Toolkit
 * Developer:    The Gridbus Project
 *               The Grid Computing and Distributed Systems (GRIDS) Laboratory
 *               The University of Melbourne, Australia
 * URL:          http://www.gridbus.org
 * @version      Alpha Version,
 * Description:  The GMD Toolkit allows the creation of portal for management of
 *               Grid Market services. It also provide webservices based access
 *               to GMD from external applications.
 * @author       Jia Yu (program developer) and Rajkumar Buyya (project director)
 *
 * Licence:      GPL - http://www.gnu.org/copyleft/gpl.html
 */

package gridbus.gmd.soap.gmdqueryclient;

public class Price {
	private float hardwarePrice;
	private float softwarePrice;

	public Price(float hPrice,float sPrice){
	    this.hardwarePrice=hPrice;
	    this.softwarePrice=sPrice;
	}
	
	/**
	 * Returns the hardwarePrice.
	 * @return float
	 */
	public float getHardwarePrice() {
		return hardwarePrice;
	}

	/**
	 * Returns the softwarePrice.
	 * @return float
	 */
	public float getSoftwarePrice() {
		return softwarePrice;
	}
	
	public String toString(){
		return new String("Hardware Price is G$"+hardwarePrice+"/CPU-Sec"+"\n"+"Software Price is G$"+softwarePrice+"/Operation");
	}

}
